| Disk ARchive 2.7.18 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::filesystem_backup Class Reference
Private

makes a flow sequence of inode to feed the backup filtering routing More...

`#include <filesystem_backup.hpp>`

Inherits libdar::filesystem_hard_link_read.

## Public Member Functions
| filesystem_backup (const std::shared_ptr< user_interaction > &dialog, const path &root, bool x_info_details, const mask &x_ea_mask, bool check_no_dump_flag, bool alter_atime, bool furtive_read_mode, bool x_cache_directory_tagging, infinint &root_fs_device, bool x_ignore_unknown, const fsa_scope &scope)
| filesystem_backup (const filesystem_backup &ref)=delete
| filesystem_backup (filesystem_backup &&ref)=delete
filesystem_backup & | operator= (const filesystem_backup &ref)=delete
filesystem_backup & | operator= (filesystem_backup &&ref)=delete
void | reset_read (infinint &root_fs_device)
bool | read (cat_entree *&ref, infinint &errors, infinint &skipped_dump)
void | skip_read_to_parent_dir ()
Public Member Functions inherited from libdar::filesystem_hard_link_read
| filesystem_hard_link_read (const std::shared_ptr< user_interaction > &dialog, bool x_furtive_read_mode, const fsa_scope &scope)
| filesystem_hard_link_read (const filesystem_hard_link_read &ref)=delete
| filesystem_hard_link_read (filesystem_hard_link_read &&ref)=delete
filesystem_hard_link_read & | operator= (const filesystem_hard_link_read &ref)=delete
filesystem_hard_link_read & | operator= (filesystem_hard_link_read &&ref)=delete
const infinint & | get_last_etoile_ref () const
| get the last assigned number for a hard linked inode
const fsa_scope | get_fsa_scope () const
| provide the FSA scope used by the object
void | zeroing_negative_dates_without_asking ()
| don't ask before zeroing negative date just warn user
void | set_ignored_symlinks_list (const std::set< std::string > &x_ignored_symlinks)

## Private Member Functions
void | detruire ()

## Private Attributes
path * | fs_root
bool | info_details
mask * | ea_mask
bool | no_dump_check
bool | alter_atime
bool | furtive_read_mode
bool | cache_directory_tagging
path * | current_dir
std::deque< etage > | pile
bool | ignore_unknown

## Additional Inherited Members
Protected Member Functions inherited from libdar::filesystem_hard_link_read
void | corres_reset ()
| reset the whole list of hard linked inodes (hard linked inode stay alive but are no more referenced by the current object)
cat_nomme * | make_read_entree (const path &lieu, const std::string &name, bool see_hard_link, const mask &ea_mask)
bool | get_ask_before_zeroing_neg_dates () const
Protected Member Functions inherited from libdar::mem_ui
user_interaction & | get_ui () const
| get access to the user_interaction object
std::shared_ptr< user_interaction > | get_pointer () const
| get access to the shared_ptr pointing to the user_interaction
| mem_ui (const std::shared_ptr< user_interaction > &dialog)
| constructor
| mem_ui (const mem_ui &ref)=default
| the copy constructor
| mem_ui (mem_ui &&ref) noexcept=default
| the move constructor
mem_ui & | operator= (const mem_ui &ref)=default
| assignement operator
mem_ui & | operator= (mem_ui &&ref) noexcept=default
| move operator
virtual | ~mem_ui () noexcept(false)
| destructor

## Detailed Description

makes a flow sequence of inode to feed the backup filtering routing

Definition at line 58 of file filesystem_backup.hpp.

## Constructor & Destructor Documentation

## ◆ ~filesystem_backup()

libdar::filesystem_backup::~filesystem_backup | ( |  | ) |
| inline

Definition at line 76 of file filesystem_backup.hpp.

## Member Data Documentation

## ◆ alter_atime

bool libdar::filesystem_backup::alter_atime
| private

Definition at line 89 of file filesystem_backup.hpp.

## ◆ cache_directory_tagging

bool libdar::filesystem_backup::cache_directory_tagging
| private

Definition at line 91 of file filesystem_backup.hpp.

## ◆ current_dir

path* libdar::filesystem_backup::current_dir
| private

Definition at line 92 of file filesystem_backup.hpp.

## ◆ ea_mask

mask* libdar::filesystem_backup::ea_mask
| private

Definition at line 87 of file filesystem_backup.hpp.

## ◆ fs_root

path* libdar::filesystem_backup::fs_root
| private

Definition at line 85 of file filesystem_backup.hpp.

## ◆ furtive_read_mode

bool libdar::filesystem_backup::furtive_read_mode
| private

Definition at line 90 of file filesystem_backup.hpp.

## ◆ ignore_unknown

bool libdar::filesystem_backup::ignore_unknown
| private

Definition at line 94 of file filesystem_backup.hpp.

## ◆ info_details

bool libdar::filesystem_backup::info_details
| private

Definition at line 86 of file filesystem_backup.hpp.

## ◆ no_dump_check

bool libdar::filesystem_backup::no_dump_check
| private

Definition at line 88 of file filesystem_backup.hpp.

## ◆ pile

std::deque<etage> libdar::filesystem_backup::pile
| private

Definition at line 93 of file filesystem_backup.hpp.

The documentation for this class was generated from the following file:

- filesystem_backup.hpp